<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Mview/etc/mview.xsd">
    <view id="beehive_product" class="FiloBlu\Refilo\Remote\ProductIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_product_entity" entity_column="entity_id"/>
            <table name="cataloginventory_stock_item" entity_column="product_id"/>
            <table name="catalog_product_entity_datetime" entity_column="entity_id"/>
            <table name="catalog_product_entity_decimal" entity_column="entity_id"/>
            <table name="catalog_product_entity_gallery" entity_column="entity_id"/>
            <table name="catalog_product_entity_int" entity_column="entity_id"/>
            <table name="catalog_product_entity_media_gallery_value" entity_column="entity_id"/>
            <table name="catalog_product_entity_text" entity_column="entity_id"/>
            <table name="catalog_product_entity_varchar" entity_column="entity_id"/>
            <table name="catalog_product_website" entity_column="product_id"/>
            <table name="catalog_category_product" entity_column="product_id"/>
        </subscriptions>
    </view>
    <view id="beehive_disabled_product" class="FiloBlu\Refilo\Remote\DisabledProductIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_product_entity_int" entity_column="entity_id"/>
            <table name="catalog_product_website" entity_column="product_id"/>
        </subscriptions>
    </view>
    <view id="beehive_category" class="FiloBlu\Refilo\Remote\CategoryIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_category_entity" entity_column="entity_id" />
            <table name="catalog_category_entity_int" entity_column="entity_id" />
            <table name="catalog_category_entity_varchar" entity_column="entity_id" />
            <table name="catalog_category_entity_text" entity_column="entity_id" />
        </subscriptions>
    </view>
    <view id="beehive_categories_product" class="FiloBlu\Refilo\Remote\CategoriesProductIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_category_product" entity_column="product_id"/>
        </subscriptions>
    </view>
    <view id="beehive_stock" class="FiloBlu\Refilo\Remote\StockIndexer" group="indexer">
        <subscriptions>
            <table name="cataloginventory_stock_item" entity_column="product_id" />
            <table name="catalog_product_entity_int" entity_column="entity_id" />
            <table name="cataloginventory_stock_status" entity_column="product_id" />
        </subscriptions>
    </view>
    <view id="beehive_price" class="FiloBlu\Refilo\Remote\PriceIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_product_index_price" entity_column="entity_id" />
            <table name="cataloginventory_stock_item" entity_column="product_id" />
            <table name="catalog_product_entity" entity_column="entity_id" />
            <table name="catalog_product_entity_int" entity_column="entity_id" />
            <table name="catalog_product_entity_datetime" entity_column="entity_id" />
            <table name="catalog_product_entity_decimal" entity_column="entity_id" />
            <table name="catalog_product_entity_tier_price" entity_column="entity_id" />
            <table name="catalog_product_entity_text" entity_column="entity_id"/>
            <table name="catalog_product_entity_varchar" entity_column="entity_id"/>
            <table name="catalog_product_website" entity_column="product_id"/>
            <table name="catalog_category_product" entity_column="product_id"/>
        </subscriptions>
    </view>
    <view id="beehive_attribute" class="FiloBlu\Refilo\Remote\AttributeIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_eav_attribute" entity_column="attribute_id"/>
            <table name="eav_attribute" entity_column="attribute_id"/>
        </subscriptions>
    </view>
    <view id="beehive_category_permissions" class="FiloBlu\Refilo\Remote\CategoryPermissionsIndexer" group="indexer">
        <subscriptions>
            <table name="magento_catalogpermissions" entity_column="permission_id"/>
        </subscriptions>
    </view>
    <view id="beehive_urls" class="FiloBlu\Refilo\Remote\UrlsIndexer" group="indexer">
        <subscriptions>
            <table name="url_rewrite" entity_column="url_rewrite_id"/>
        </subscriptions>
    </view>
    <view id="beehive_related" class="FiloBlu\Refilo\Remote\RelatedIndexer" group="indexer">
        <subscriptions>
            <table name="catalog_product_entity" entity_column="entity_id" />
            <table name="catalog_category_product" entity_column="product_id" />
        </subscriptions>
    </view>
    <view id="beehive_linked_product_bridge" class="FiloBlu\Refilo\Remote\LinkedProductBridge" group="indexer">
        <subscriptions>
            <table name="catalog_product_link" entity_column="linked_product_id" />
        </subscriptions>
    </view>
    <view id="beehive_url_product_bridge" class="FiloBlu\Refilo\Remote\UrlProductBridge" group="indexer">
        <subscriptions>
            <table name="catalog_product_entity" entity_column="entity_id" />
            <table name="catalog_product_entity_int" entity_column="entity_id"/>
            <table name="catalog_product_entity_varchar" entity_column="entity_id"/>
        </subscriptions>
    </view>
    <view id="beehive_url_category_bridge" class="FiloBlu\Refilo\Remote\UrlCategoryBridge" group="indexer">
        <subscriptions>
            <table name="catalog_category_entity" entity_column="entity_id" />
            <table name="catalog_category_entity_int" entity_column="entity_id" />
            <table name="catalog_category_entity_varchar" entity_column="entity_id" />
        </subscriptions>
    </view>
    <view id="beehive_url_page_bridge" class="FiloBlu\Refilo\Remote\UrlPageBridge" group="indexer">
        <subscriptions>
            <table name="cms_page" entity_column="page_id" />
        </subscriptions>
    </view>
    <view id="beehive_product_filter" class="FiloBlu\Refilo\Remote\ProductFilterIndexer" group="indexer">
        <subscriptions>
            <table name="cataloginventory_stock_status" entity_column="product_id" />
        </subscriptions>
    </view>
    <view id="filoblu_flow_stock_bridge" class="FiloBlu\Refilo\Remote\FlowStockIndexerBridge" group="indexer">
        <subscriptions>
            <table name="catalog_product_entity_int" entity_column="entity_id"/>
        </subscriptions>
    </view>
</config>
